Package org.apache.sling.installer.factory.packages.impl

## Class PackageTransformer

- java.lang.Object
- - org.apache.sling.installer.factory.packages.impl.PackageTransformer

All Implemented Interfaces:
  `org.apache.jackrabbit.vault.packaging.events.PackageEventListener`, `org.apache.sling.installer.api.tasks.InstallTaskFactory`, `org.apache.sling.installer.api.tasks.ResourceTransformer`

    public class PackageTransformer
    extends Object
    implements org.apache.sling.installer.api.tasks.ResourceTransformer, org.apache.sling.installer.api.tasks.InstallTaskFactory, org.apache.jackrabbit.vault.packaging.events.PackageEventListener

The package transformer:

- detects content packages (ResourceTransformer)
- and creates tasks for installing / removing of content packages

### Field Summary

### Fields inherited from interface org.apache.sling.installer.api.tasks.InstallTaskFactory

`NAME`

### Fields inherited from interface org.apache.sling.installer.api.tasks.ResourceTransformer

`NAME`

### Constructor Summary

Constructors
`PackageTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.installer.api.tasks.InstallTask` `createTask​(org.apache.sling.installer.api.tasks.TaskResourceGroup toActivate)`
`void` `onPackageEvent​(org.apache.jackrabbit.vault.packaging.events.PackageEvent event)`
`org.apache.sling.installer.api.tasks.TransformationResult[]` `transform​(org.apache.sling.installer.api.tasks.RegisteredResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageTransformer

    public PackageTransformer()

### Method Detail

#### transform

    public org.apache.sling.installer.api.tasks.TransformationResult[] transform​(org.apache.sling.installer.api.tasks.RegisteredResource resource)

Specified by:
  `transform` in interface `org.apache.sling.installer.api.tasks.ResourceTransformer`
See Also:
  `ResourceTransformer.transform(org.apache.sling.installer.api.tasks.RegisteredResource)`

#### createTask

    public org.apache.sling.installer.api.tasks.InstallTask createTask​(org.apache.sling.installer.api.tasks.TaskResourceGroup toActivate)

Specified by:
  `createTask` in interface `org.apache.sling.installer.api.tasks.InstallTaskFactory`
See Also:
  `InstallTaskFactory.createTask(org.apache.sling.installer.api.tasks.TaskResourceGroup)`

#### onPackageEvent

    public void onPackageEvent​(org.apache.jackrabbit.vault.packaging.events.PackageEvent event)

Specified by:
  `onPackageEvent` in interface `org.apache.jackrabbit.vault.packaging.events.PackageEventListener`